require 'darkhall/util'

module DarkHall
	module Util
		module_function
		
		# no act at present
		def multiple_boot?
			false
		end
		
		def reboot_game
			system(%Q|ruby -Ku "#{$0}" &|)
		end
		
		def open_manual
			path = File.expand_path('manual/index.html')
			system("/etc/alternatives/x-www-browser #{path} &") || system("firefox #{path} &")
		end
	end
end
